<?php
/**
 * Plugin Name: Salesforce Integration
 * Description: Subscribe a contact to Salesforce when a form is submited
 * Plugin URI: https://wedevs.com/weforms/
 * Thumbnail URL: salesforce.png
 * Author: weDevs
 * Version: 1.0
 * Author URI: https://wedevs.com
 *
 */

// don't call the file directly
if ( !defined( 'ABSPATH' ) ) exit;

require_once __DIR__ . '/class-integration-salesforce.php';

/**
 * WeForms_SalesForce
 */
class WeForms_SalesForce {

	function __construct( ) {
        add_filter( 'weforms_integrations', array( $this, 'register_integration' ) );
	}

    /**
     * Register default integrations
     *
     * @param  array $integrations
     *
     * @return array
     */
    public function register_integration( $integrations ) {

        $integrations = array_merge( $integrations, array( 'WeForms_Integration_Salesforce' ) );

        return $integrations;
    }
}

new WeForms_SalesForce();
