<h3 class="hndle"><?php _e( 'Zoho', 'weforms-pro' ); ?></h3>

<div class="inside warp">
    <template v-if=" ! settings.zoho_token ">
        <p class="help">
            <?php printf( __( 'Please provide your %sZoho%s login details here. Your password will be used to establish the connection with your Zoho CRM account and will not be stored.', 'weforms-pro' ), '<a href="https://accounts.zoho.com/u/h#security/security_pwd" target="_blank" >', '</a>' ); ?>
        </p>
        <table class="form-table">
            <tr>
                <th><?php _e( 'Username/Email', 'weforms-pro' ); ?></th>
                <td>
                    <input type="text" v-model="settings.zoho_login" class="regular-text" placeholder="Zoho Login">
                </td>
            </tr>
            <tr>
                <th><?php _e( 'Password', 'weforms-pro' ); ?></th>
                <td>
                    <input type="password" v-model="settings.zoho_password" class="regular-text" placeholder="Zoho Password">
                </td>
            </tr>
        </table>

        <p>
            <weforms-zoho-settings-save :settings="settings">Connect with Zoho</weforms-zoho-settings-save>
        </p>
    </template>
    <template v-else>
        <p>
            <?php _e( sprintf( 'Your account <code>%s</code> is <strong>Connected</strong> with Zoho CRM.', '{{ settings.zoho_login }}'), 'weforms-pro' ); ?>
        </p>

        <button
            class="button-secondary"
            @click.prevent="settings.zoho_token = false; post('weforms_zoho_disconnect')"
        >
            <?php _e( 'Disconnect', 'weforms_salesforce' ); ?>
        </button>
    </template>
</div>
